package com.jesuspinar.miobjeto.serializable;

import com.jesuspinar.miobjeto.serializable.controller.ObjReader;
import com.jesuspinar.miobjeto.serializable.controller.ObjWriter;
import com.jesuspinar.miobjeto.serializable.model.Person;
import com.jesuspinar.miobjeto.serializable.model.People;

import java.io.File;

public class Main {
    public static void main(String[] args) {
        File file = new File("person.bin");

        //Create list
        People data = new People();
        //Init list
        data.add(new Person("Manolo", 32));
        data.add(new Person("Jorge", 2));
        data.add(new Person("Pepe", 89));

        //Check writing
        boolean isWritten = ObjWriter.write(data,file);

        //Test serialization
        People dat = null;
        if (isWritten) {
            dat = (People) ObjReader.read(file);
        }
        if (dat != null){
            System.out.println(dat.toString());
        }

    }
}
